summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAdam Feldman <NP-Hardass@gentoo.org>2020-09-06 18:38:54 -0400
committerAdam Feldman <NP-Hardass@gentoo.org>2020-09-25 16:32:38 -0400
commit978f3d0e6297ac0997f97acc591fa7fd02cf02aa (patch)
treea4c6f4d8bcc630f0957948b8172afddeea60889f
parentapp-editors/pluma: Bump to 1.24.1 (diff)
downloadgentoo-978f3d0e6297ac0997f97acc591fa7fd02cf02aa.tar.gz
gentoo-978f3d0e6297ac0997f97acc591fa7fd02cf02aa.tar.bz2
gentoo-978f3d0e6297ac0997f97acc591fa7fd02cf02aa.zip
dev-python/python-caja: Fix deps
Package-Manager: Portage-2.3.103, Repoman-2.3.23 Signed-off-by: Adam Feldman <NP-Hardass@gentoo.org>
-rw-r--r--dev-python/python-caja/python-caja-1.24.0-r2.ebuild57
1 files changed, 57 insertions, 0 deletions
diff --git a/dev-python/python-caja/python-caja-1.24.0-r2.ebuild b/dev-python/python-caja/python-caja-1.24.0-r2.ebuild
new file mode 100644
index 00000000000..622b4373e83
--- /dev/null
+++ b/dev-python/python-caja/python-caja-1.24.0-r2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MATE_LA_PUNT="yes"
+PYTHON_COMPAT=( python{3_6,3_7,3_8} )
+
+inherit mate python-single-r1
+
+if [[ ${PV} != 9999 ]]; then
+ KEYWORDS="~amd64 ~arm ~x86"
+fi
+
+DESCRIPTION="Python bindings for the Caja file manager"
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="doc"
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+COMMON_DEPEND="${PYTHON_DEPS}
+ >=dev-libs/glib-2.50:2
+ $( python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_MULTI_USEDEP}]' )
+ >=mate-base/caja-1.17.1[introspection]
+ >=x11-libs/gtk+-3.22:3
+"
+
+RDEPEND="${COMMON_DEPEND}"
+
+DEPEND="${COMMON_DEPEND}
+ dev-util/gtk-doc
+ dev-util/gtk-doc-am
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ doc? ( app-text/docbook-xml-dtd:4.1.2 )
+"
+
+src_prepare() {
+ MATE_FORCE_AUTORECONF="true"
+
+ sed -i "s/\$(PACKAGE)/${PF}/g" examples/Makefile.am || die
+ mate_src_prepare
+}
+
+src_install() {
+ mate_src_install
+
+ # Keep the directory for systemwide extensions.
+ keepdir /usr/share/caja-python/extensions/
+
+ # The HTML documentation generation is broken and commented out by upstream.
+ #
+ #if use doc ; then
+ # insinto /usr/share/gtk-doc/html/nautilus-python # for dev-util/devhelp
+ # doins -r docs/html/*
+ #fi
+}